よくある質問

よくある質問と回答集です。サービスご利用の参考にしてください。

PHP7.1利用のドメインで簡単インストール、サイト表示ができません。

■baserCMSの場合
 ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄

PHP7.1では簡単インストールをご利用いただけません。
PHPのバージョンを変更してインストールを行ってください。

■WordPress・EC-CUBEの場合
 ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄

簡単インストールが失敗したり、サイトで「データベース接続確立エラー」が表示される場合、データベースのパスワード形式が影響している可能性があります。

ロリポップ!で提供しているPHP7.1では、セキュリティレベルが高いデータベース接続方法を採用しており、PHP7.1を利用しているドメインから、古いパスワード形式である「old_password形式」を利用しているデータベースへの接続を行うことができません。

PHP7.1利用のドメインで使用するデータベースは、パスワード形式が「native_password形式」となっている必要があります。

以下をご参照の上、ご対応ください。

▼スタンダードプランまたはエンタープライズプランをご利用のお客様

新規作成するデータベースは、パスワード形式が「native_password形式」となります。
そのため、新規作成したデータベースをご利用ください。

すでに作成済みのデータベースを利用したい場合は、下記の「ライトプランをご利用のお客様」と同様の対応を行ってください。

▼ライトプランをご利用のお客様

・利用データベースが MySQL5.1またはMySQL5.6 の場合

 以下の手順でデータベースのパスワード再設定を行い、パスワード形式を「old_password形式」から「native_password形式」にご変更ください。

 1.ユーザー専用ページの〔WEBツール〕→〔データベース〕メニューにアクセスします
 2.利用中のデータベースの〔パスワード確認〕をクリックし、現在のパスワードをメモしておきます
 3.〔パスワードを再設定する〕をクリックします
 4.2で確認したパスワードを入力し、〔パスワードを再設定する〕をクリックします
 5.確認画面が表示されたら〔OK〕をクリックします

・利用データベースが MySQL4 の場合

 MySQL5への移行を行った上で、上記のパスワード再設定を行ってください。

・利用データベースが MySQL5.0 の場合

 ユーザー専用ページの〔お問合せ〕よりご連絡ください。



▽関連する『よくある質問
 データベースパスワードの再設定をしたらサイトがエラー表示になったり、プログラムが動かなくなります。